IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_syn_tipoAutenticacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_syn_tipoAutenticacion]
GO
CREATE PROCEDURE [reg_syn_tipoAutenticacion]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[tipoAutenticacion] AS [tipoAutenticacion],
		[tipoAutenticacion_codigo] AS [tipoAutenticacion_codigo]
	FROM [syn_tipoAutenticacion]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_syn_tipoAutenticacion]')) DROP VIEW [dbo].[view_syn_tipoAutenticacion]
GO
CREATE  VIEW [view_syn_tipoAutenticacion] AS
SELECT 	[syn_tipoAutenticacion].[id] AS [id],
		[syn_tipoAutenticacion].[uid] AS [uid],
		[syn_tipoAutenticacion].[eid] AS [eid],
		[syn_tipoAutenticacion].[id_usuario_modifico] AS [id_usuario_modifico],
		[syn_tipoAutenticacion].[id_usuario_creo] AS [id_usuario_creo],
		[syn_tipoAutenticacion].[fechaModificacion] AS [fechaModificacion],
		[syn_tipoAutenticacion].[fechaCreacion] AS [fechaCreacion],
		[syn_tipoAutenticacion].[active] AS [active],
		[syn_tipoAutenticacion].[tipoAutenticacion] AS [tipoAutenticacion],
		[syn_tipoAutenticacion].[tipoAutenticacion_codigo] AS [tipoAutenticacion_codigo],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [syn_tipoAutenticacion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[syn_tipoAutenticacion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[syn_tipoAutenticacion].[id_usuario_creo]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [syn_tipoAutenticacion].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [syn_tipoAutenticacion].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_tipoAutenticacionesXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_tipoAutenticacionesXusuario_modifico]
GO
CREATE PROCEDURE [sel_syn_tipoAutenticacionesXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_syn_tipoAutenticacion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_tipoAutenticacionesXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_tipoAutenticacionesXusuario_creo]
GO
CREATE PROCEDURE [sel_syn_tipoAutenticacionesXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_syn_tipoAutenticacion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_tipoAutenticaciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_tipoAutenticaciones]
GO
CREATE PROCEDURE [sel_syn_tipoAutenticaciones]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_syn_tipoAutenticacion]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_syn_tipoAutenticaciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_syn_tipoAutenticaciones]
GO
CREATE PROCEDURE [lis_syn_tipoAutenticaciones]
	AS
BEGIN
	SELECT id AS id,
[tipoAutenticacion] AS [syn_tipoAutenticacion]
	FROM [syn_tipoAutenticacion]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_syn_tipoAutenticacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_syn_tipoAutenticacion]
GO
CREATE PROCEDURE [upd_syn_tipoAutenticacion]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_tipoAutenticacion varchar(300) = null,
		@p_tipoAutenticacion_codigo varchar(100) = null
AS
BEGIN
		UPDATE [syn_tipoAutenticacion]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[tipoAutenticacion] = isnull(@p_tipoAutenticacion,[tipoAutenticacion]),
			[tipoAutenticacion_codigo] = isnull(@p_tipoAutenticacion_codigo,[tipoAutenticacion_codigo])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_syn_tipoAutenticacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_syn_tipoAutenticacion]
GO
CREATE PROCEDURE [ins_syn_tipoAutenticacion]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_tipoAutenticacion varchar(300),
		@p_tipoAutenticacion_codigo varchar(100)
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [syn_tipoAutenticacion]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[tipoAutenticacion],
			[tipoAutenticacion_codigo])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_tipoAutenticacion,
			@p_tipoAutenticacion_codigo)
		SET @v_id = scope_identity()
UPDATE [syn_tipoAutenticacion] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_syn_tipoAutenticacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_syn_tipoAutenticacion]
GO
CREATE PROCEDURE [act_syn_tipoAutenticacion]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [syn_tipoAutenticacion]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_syn_tipoAutenticacion_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_syn_tipoAutenticacion_m]
GO
CREATE PROCEDURE [reg_syn_tipoAutenticacion_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[tipoAutenticacion] AS [tipoAutenticacion],
		[tipoAutenticacion_codigo] AS [tipoAutenticacion_codigo]
	FROM [syn_tipoAutenticacion]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_tipoAutenticacionesXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_tipoAutenticacionesXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_syn_tipoAutenticacionesXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_syn_tipoAutenticacion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_tipoAutenticacionesXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_tipoAutenticacionesXusuario_creo_m]
GO
CREATE PROCEDURE [sel_syn_tipoAutenticacionesXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_syn_tipoAutenticacion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_syn_tipoAutenticaciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_syn_tipoAutenticaciones_m]
GO
CREATE PROCEDURE [sel_syn_tipoAutenticaciones_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_syn_tipoAutenticacion]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_syn_tipoAutenticaciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_syn_tipoAutenticaciones_m]
GO
CREATE PROCEDURE [lis_syn_tipoAutenticaciones_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[tipoAutenticacion] AS [syn_tipoAutenticacion]
	FROM [syn_tipoAutenticacion]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_syn_tipoAutenticacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_syn_tipoAutenticacion]
GO
CREATE PROCEDURE [aud_syn_tipoAutenticacion]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [syn_tipoAutenticacion].id as id_tabla,
	[syn_tipoAutenticacion].id_usuario_modifico as id_usuario_modifico,
	[syn_tipoAutenticacion].id_usuario_creo as id_usuario_creo,
	[syn_tipoAutenticacion].fechaModificacion as fechaModificacion,
	[syn_tipoAutenticacion].fechaCreacion as fechaCreacion,
	[syn_tipoAutenticacion].active as active,
	[syn_tipoAutenticacion].[tipoAutenticacion] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [syn_tipoAutenticacion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[syn_tipoAutenticacion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[syn_tipoAutenticacion].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'syn_tipoAutenticacion'
-----------------------------------22/04/21 19:58:20